## com.vividsolutions.jts.noding.snapround
Class GeometryNoder

    java.lang.Object
      com.vividsolutions.jts.noding.snapround.GeometryNoder

public class GeometryNoder
extends java.lang.Object

Nodes a list of `Geometry`s using Snap Rounding

Constructor Summary
`GeometryNoder(PrecisionModel pm)`

Method Summary
`java.util.List` `node(java.util.Collection geoms)` Nodes the linework of a set of Geometrys using SnapRounding.
`void` `setValidate(boolean isValidityChecked)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryNoder

    public GeometryNoder(PrecisionModel pm)

Method Detail

### setValidate

    public void setValidate(boolean isValidityChecked)

### node

    public java.util.List node(java.util.Collection geoms)

  Nodes the linework of a set of Geometrys using SnapRounding.

  Parameters:
    `geoms` - a Collection of Geometrys of any type
  Returns:
    a List of LineStrings representing the noded linework of the input